cURL
curl --request GET \ --url https://api.kit.com/v4/snippets/{id} \ --header 'X-Kit-Api-Key: <api-key>'
{ "snippet": { "id": 24, "name": "Welcome message", "snippet_type": "inline", "archived": false, "key": "welcome-message", "created_at": "2023-02-17T11:43:55Z", "updated_at": "2023-02-17T11:43:55Z", "content": "Hello {{ subscriber.first_name }}", "document": { "id": 100, "value": null, "value_html": "content", "value_plain": null, "version": 1 } } }
Documentation IndexFetch the complete documentation index at: https://developers.kit.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developers.kit.com/llms.txt
Use this file to discover all available pages before exploring further.
Authenticate API requests via an API Key
Returns the snippet details
Show child attributes
Was this page helpful?